<div align="center">
  <a href="https://kikuchipy.org">
    <img width="60%" src="https://raw.githubusercontent.com/pyxem/kikuchipy/develop/doc/_static/logo/plasma_banner.png">
  </a>
</div>

kikuchipy [ki-ko-chi-pai] is a library for processing, simulating and indexing of
electron backscatter diffraction (EBSD) patterns in Python, built on the tools for
multi-dimensional data analysis provided by the HyperSpy library.

| Deployment    | [![PyPI version](https://img.shields.io/pypi/v/kikuchipy.svg?logo=python&logoColor=white)](https://pypi.org/project/kikuchipy/) | [![Anaconda version](https://img.shields.io/conda/vn/conda-forge/kikuchipy.svg?logo=conda-forge&logoColor=white)](https://anaconda.org/conda-forge/kikuchipy)|
| :- | :- | :- |
| **Build status**  | [![Test status](https://github.com/pyxem/kikuchipy/actions/workflows/tests.yml/badge.svg)](https://github.com/pyxem/kikuchipy/actions/workflows/tests.yml) |
| **Documentation** | [![Documentation status](https://readthedocs.org/projects/kikuchipy/badge/?version=latest)](https://kikuchipy.org/en/latest/) | [![Launch binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/pyxem/kikuchipy/HEAD) |
| **Metrics**       | [![Coverage status](https://coveralls.io/repos/github/pyxem/kikuchipy/badge.svg?branch=develop)](https://coveralls.io/github/pyxem/kikuchipy?branch=develop) |
| **Activity**      | [![PyPI downloads](https://img.shields.io/pypi/dm/kikuchipy.svg?label=pypi%20downloads)](https://pypi.org/project/kikuchipy/) | [![Anaconda downloads](https://img.shields.io/conda/dn/conda-forge/kikuchipy.svg?label=conda%20downloads)](ttps://anaconda.org/conda-forge/kikuchipy) |
| **Citation**      | [![Zenodo DOI](https://zenodo.org/badge/doi/10.5281/zenodo.3597646.svg)](https://doi.org/10.5281/zenodo.3597646) |
| **Community**     | [![Gitter chat](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/pyxem/kikuchipy) | [![GitHub discussion](https://img.shields.io/badge/GitHub-Discussions-green?logo=github)](https://github.com/pyxem/kikuchipy/discussions) |
| **License**       | [![License](https://img.shields.io/github/license/pyxem/kikuchipy)](https://opensource.org/licenses/GPL-3.0) |

## Documentation

Refer to the [documentation](https://kikuchipy.org) for detailed installation
instructions, a user guide, and the
[changelog](https://kikuchipy.org/en/latest/changelog.html).

## Installation

kikuchipy can be installed with `pip`:

```bash
pip install kikuchipy
```

or `conda`:

```bash
conda install kikuchipy -c conda-forge
```

You can also visit [PyPI](https://pypi.org/project/kikuchipy),
[Anaconda](https://anaconda.org/conda-forge/kikuchipy), or
[GitHub](https://github.com/pyxem/kikuchipy) to download the source.

Further details are available in the
[installation guide](https://kikuchipy.org/en/latest/user/installation.html).

## Citing kikuchipy

If you are using kikuchipy in your scientific research, please help our scientific
visibility by citing the Zenodo DOI: https://doi.org/10.5281/zenodo.3597646.

## Contributors ✨

Thanks go to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tbody>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/AndreasBugten"><img src="https://avatars.githubusercontent.com/u/106192446?v=4?s=100" width="100px;" alt="AndreasBugten"/><br /><sub><b>AndreasBugten</b></sub></a><br /><a href="https://github.com/pyxem/kikuchipy/commits?author=AndreasBugten" title="Documentation">📖</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/CSSFrancis"><img src="https://avatars.githubusercontent.com/u/41125831?v=4?s=100" width="100px;" alt="Carter Francis"/><br /><sub><b>Carter Francis</b></sub></a><br /><a href="https://github.com/pyxem/kikuchipy/commits?author=CSSFrancis" title="Documentation">📖</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/ericpre"><img src="https://avatars.githubusercontent.com/u/11851990?v=4?s=100" width="100px;" alt="Eric Prestat"/><br /><sub><b>Eric Prestat</b></sub></a><br /><a href="https://github.com/pyxem/kikuchipy/commits?author=ericpre" title="Code">💻</a> <a href="#maintenance-ericpre" title="Maintenance">🚧</a> <a href="https://github.com/pyxem/kikuchipy/issues?q=author%3Aericpre" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://www.ntnu.edu/employees/hakon.w.anes"><img src="https://avatars.githubusercontent.com/u/12139781?v=4?s=100" width="100px;" alt="Håkon Wiik Ånes"/><br /><sub><b>Håkon Wiik Ånes</b></sub></a><br /></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/friedkitteh"><img src="https://avatars.githubusercontent.com/u/11888052?v=4?s=100" width="100px;" alt="Lars Lervik"/><br /><sub><b>Lars Lervik</b></sub></a><br /><a href="https://github.com/pyxem/kikuchipy/issues?q=author%3Afriedkitteh" title="Bug reports">🐛</a> <a href="https://github.com/pyxem/kikuchipy/commits?author=friedkitteh" title="Code">💻</a> <a href="https://github.com/pyxem/kikuchipy/commits?author=friedkitteh" title="Documentation">📖</a> <a href="#question-friedkitteh" title="Answering Questions">💬</a> <a href="https://github.com/pyxem/kikuchipy/pulls?q=is%3Apr+reviewed-by%3Afriedkitteh" title="Reviewed Pull Requests">👀</a> <a href="https://github.com/pyxem/kikuchipy/commits?author=friedkitteh" title="Tests">⚠️</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://www.ntnu.edu/employees/magnus.nord"><img src="https://avatars.githubusercontent.com/u/1690979?v=4?s=100" width="100px;" alt="Magnus Nord"/><br /><sub><b>Magnus Nord</b></sub></a><br /><a href="https://github.com/pyxem/kikuchipy/commits?author=magnunor" title="Documentation">📖</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/onatlandsmyr"><img src="https://avatars.githubusercontent.com/u/34620114?v=4?s=100" width="100px;" alt="Ole Natlandsmyr"/><br /><sub><b>Ole Natlandsmyr</b></sub></a><br /><a href="https://github.com/pyxem/kikuchipy/commits?author=onatlandsmyr" title="Code">💻</a> <a href="https://github.com/pyxem/kikuchipy/commits?author=onatlandsmyr" title="Documentation">📖</a> <a href="#question-onatlandsmyr" title="Answering Questions">💬</a> <a href="https://github.com/pyxem/kikuchipy/pulls?q=is%3Apr+reviewed-by%3Aonatlandsmyr" title="Reviewed Pull Requests">👀</a> <a href="https://github.com/pyxem/kikuchipy/commits?author=onatlandsmyr" title="Tests">⚠️</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/tinabe"><img src="https://avatars.githubusercontent.com/u/22915119?v=4?s=100" width="100px;" alt="Tina Bergh"/><br /><sub><b>Tina Bergh</b></sub></a><br /><a href="https://github.com/pyxem/kikuchipy/commits?author=tinabe" title="Code">💻</a> <a href="https://github.com/pyxem/kikuchipy/pulls?q=is%3Apr+reviewed-by%3Atinabe" title="Reviewed Pull Requests">👀</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/IMBalENce"><img src="https://avatars.githubusercontent.com/u/2986794?v=4?s=100" width="100px;" alt="Zhou Xu"/><br /><sub><b>Zhou Xu</b></sub></a><br /><a href="https://github.com/pyxem/kikuchipy/issues?q=author%3AIMBalENce" title="Bug reports">🐛</a> <a href="https://github.com/pyxem/kikuchipy/commits?author=IMBalENce" title="Code">💻</a> <a href="https://github.com/pyxem/kikuchipy/commits?author=IMBalENce" title="Documentation">📖</a> <a href="https://github.com/pyxem/kikuchipy/commits?author=IMBalENce" title="Tests">⚠️</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/Erlendos12"><img src="https://avatars.githubusercontent.com/u/99336047?v=4?s=100" width="100px;" alt="erlenmos"/><br /><sub><b>erlenmos</b></sub></a><br /><a href="https://github.com/pyxem/kikuchipy/issues?q=author%3AErlendos12" title="Bug reports">🐛</a></td>
    </tr>
  </tbody>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification.
Contributions of any kind welcome! Please see our
[contributing guide](https://kikuchipy.org/en/latest/dev/index.html) for information
on how best to contribute (or just explain what you want to do
[in an issue](https://github.com/pyxem/kikuchipy/issues/new)).
